/* === SUPER SIMPLE FIRMWARE === For EC2.2v (mcu168). Simplification, cleanup and tweak of official reprap firmware. Shameless rip by Noobman. The point is to be SIMPLE, COMPACT AND CLEAR. "as it is" */
#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#define WAIT_AT_TEMPERATURE 10  // default 10  *** not used here (may have room for this in waitFor[&Bed]Temperature) // nr of 5-sec intervat to "wait for things to stabilize"
#define HALF_DEAD_ZONE 5        // default 5   *** not used here (may have room for this in waitFor[&Bed]Temperature) // The temperature control dead zone in deg C
#define TEMPERATURE_SAMPLES 2   // default 2   *** not *really* used - one alternative reading for ad595 is using this, and even so, it is commented out (is alternate to simpler ad595reading, only 1 can be)

#define SLOW_CLOCK 10000        // The manage() calls the slowManage() each time loop has gone round this many times + here this needs to be divisible by 2 (an multiplier of 2) - default was 5000 in older firmware
#define AREF_VOLTS INTERN       // [EXTERN] makes Aref external as AREF pin is tied to vcc-5v in EC22 board. [INTERN] makes Aref to internal 5v supply to adc.  
#define TEMPSHUT_MAX 350        // when a temp gets = this or more -> it gets reported as this value instead; in addition, both heaters will get disabled; this is used by thermistor read() and by controltemps() functions
#define TEMPSHUT_MIN 10         // when a temp gets = this or less -> [...] same as above

/* ==== EXTRUDER PROBE ==== (valid choices: AD595 or MAX6675 or Thermistor - uncomment the obvious group, comment out the rest) /*/
#define E_THERMISTOR   // generic name, no individual name for different colour thermistors
#define E_TEMP_PIN 6   // EC2.2v board thermistor pin is 3, which has a cap + resistor of 4k7 noted r2=4700 in script; the r1=0; for a different pin, use with temperature sensor board 2.0v + read documentation (or smth)

//#define E_AD595_THERMOCOUPLE
//#define E_TEMP_PIN 6 // ad595 thermocouple only needs one analog signal pin

// #define E_MAX6675_THERMOCOUPLE
// #define SO 18    // MISO
// #define SCK 19   // Serial Clock
// #define TC_0 17  // CS Pin of MAX6607
// #define SKIP_CLOCK_COUNT 1 /* Note1: The MAX6675 takes .17 to .22 seconds to complete a temperature reading.  If we read the stored temperature before it has completed this read, we will reset the read and not get a new temperature */
   /* Set this to skip reads in order to leave time for the conversion to take place.  I didn't want to just increase the SLOW_CLOCK because there are other opperations happening in the slowManage routine */
   /* that i didn't want to slow down. Kurt Bidstrup A.K.A. Smurf 5/30/2010 */  /*Noobman 30/Jan/2011: on this firmware slowManage got ripped and changed */

/* ==== HEATED BED PROBE ==== (valid choices: AD595 or Thermistor - uncomment the obvious group, comment the rest) /*/
#define B_THERMISTOR   // generic name, no individual name for different colour thermistors 
#define B_TEMP_PIN 3   // EC2.2v board thermistor pin is 3, which has a cap + resistor of 4k7 noted r2=4700 in script; the r1=0; for a different pin, use with temperature sensor board 2.0v + read documentation (or smth)

// #define B_AD595_THERMOCOUPLE
// #define B_TEMP_PIN 6 // ad595 thermocouple only needs one analog signal pin

// MOSFET drivers (btw note that 12V lines are always on - and the control is at gnd)
#define BED_OUTPUT 15      // ANALOG A1 pin & output A- 
#define FAN_OUTPUT 11      // Digital D11 pin & output B-
#define HEATER_OUTPUT 12   // Digital D12 pin & output C-

#define MY_NAME '0'          // One byte string representing the name of this device
#define RS485_MASTER 0       // We are a slave
`// RS485 settings found in intercom.h (both MB and EC): RS485_BAUD 1000000 and RS485_BUF_LEN 20 (also check that TIMEOUTs are the same or just the entirelly file is same) 
#define MOTHERBOARD 2        // needed in intercom - could be ripped out also but cba
#define RX_ENABLE_PIN 4      // RS485 pins
#define TX_ENABLE_PIN 16     // RS485 pins
#define DEBUG_PIN 13         // Debug pin 
extern void blink(bool on);  // The LED blink function
#endif
